;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Sep 14 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_int_isr
	global	_file_clrRam
	global	_file_init
	global	_file_project_init
	global	_main
	global	_A_BUFF
	global	_R3_BUFF

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_PWM_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_PWM_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
UDL_XC8P9530_PWM_0	udata
r0x1000	res	1
r0x1001	res	1
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr IARbits                   Allocated to registers ;size:1
;@int_isr TC0Cbits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr RSRbits                   Allocated to registers ;size:1
;@int_isr PORT6bits                 Allocated to registers ;size:1
;@int_isr CMPCON0bits               Allocated to registers ;size:1
;@int_isr TC1CONbits                Allocated to registers ;size:1
;@int_isr TC1PRDLbits               Allocated to registers ;size:1
;@int_isr PWMDTLbits                Allocated to registers ;size:1
;@int_isr TC1PRDTHbits              Allocated to registers ;size:1
;@int_isr P6AEbits                  Allocated to registers ;size:1
;@int_isr P6IWEbits                 Allocated to registers ;size:1
;@int_isr CPUCONbits                Allocated to registers ;size:1
;@int_isr INTFbits                  Allocated to registers ;size:1
;@int_isr A_BUFF                    Allocated to registers ;size:1
;@int_isr R3_BUFF                   Allocated to registers ;size:1
;@int_isr IAR                       Allocated to registers ;size:1
;@int_isr TC0C                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr RSR                       Allocated to registers ;size:1
;@int_isr PORT6                     Allocated to registers ;size:1
;@int_isr CMPCON0                   Allocated to registers ;size:1
;@int_isr TC1CON                    Allocated to registers ;size:1
;@int_isr TC1PRDL                   Allocated to registers ;size:1
;@int_isr PWMDTL                    Allocated to registers ;size:1
;@int_isr TC1PRDTH                  Allocated to registers ;size:1
;@int_isr P6AE                      Allocated to registers ;size:1
;@int_isr P6IWE                     Allocated to registers ;size:1
;@int_isr CPUCON                    Allocated to registers ;size:1
;@int_isr INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;2 compiler assigned registers:
;   r0x1000
;   r0x1001
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	31; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	32; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	34; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	if(TC0IF)						//жTC0IFǷΪ1
	JBTS	_INTFbits,0
	JMP	_00106_DS_
;	.line	36; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	TC0C	+= 6;				//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	ADD	_TC0C,A
;	.line	37; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	INTF	= 0xfe;				//TC0жϱ־λ
	MOV	A,@0xfe
	MOV	_INTF,A
;	.line	38; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	PORT6_4 = !PORT6_4;			//P64ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,4
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;100	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,4
	JBTC	STATUS,0
	BTS	_PORT6bits,4
_00106_DS_:
;	.line	41; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	if(TC1IF)						//жTC1IFǷΪ1,pwmж
	JBTS	_INTFbits,3
	JMP	_00108_DS_
;	.line	43; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	INTF    = 0xf7;				//bit3:TC1IF
	MOV	A,@0xf7
	MOV	_INTF,A
;	.line	44; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	PORT6_5 = !PORT6_5;			//P65ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,5
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;99	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,5
	JBTC	STATUS,0
	BTS	_PORT6bits,5
_00108_DS_:
;	.line	46; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	INTF = 0x09;					//δõı־λ1Чֻ
	MOV	A,@0x09
	MOV	_INTF,A
;	.line	47; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	48; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_PWM	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_project_init
;   _file_clrRam
;   _file_init
;   _file_project_init
;; Starting pCode block
S_XC8P9530_PWM__main	code
_main:	;Function start
; 2 exit points
;	.line	96; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	file_clrRam();					//RAM
	CALL	_file_clrRam
;	.line	97; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	98; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	file_project_init();			//蹦
	CALL	_file_project_init
;	.line	99; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	EI();							//ж
	ei	
_00129_DS_:
;	.line	103; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	NOP();
	nop	
;	.line	104; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	NOP();
	nop	
;	.line	105; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	NOP();
	nop	
	JMP	_00129_DS_
;	.line	107; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_PWM__file_project_init	code
_file_project_init:	;Function start
; 2 exit points
;	.line	83; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	TC1PRDL = 100;					//PWMڼĴ
	MOV	A,@0x64
	MOV	_TC1PRDL,A
;	.line	84; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	PWMDTL = 20;
	MOV	A,@0x14
	MOV	_PWMDTL,A
;	.line	85; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	TC1PRDTH = 0;
	CLR	_TC1PRDTH
;	.line	86; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	TC1CON = 0x18;					//bit4:1ʹpwm  bit5:0	
	MOV	A,@0x18
	MOV	_TC1CON,A
;	.line	87; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IPWME = 1;						//PWM
	BTS	_TC1CONbits,5
;	.line	88; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(INTE,0x09);				//TC0+PWMж,Ҫ
	mov	a,@0x09
	iw	INTE
;	.line	89; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	}
	RET	
; exit point of _file_project_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_PWM__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	CONTW(0x82);					//TC0ʹ 8Ƶ
	mov	a,@0x82
	ctw
;	.line	65; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	TC0C = 6;						//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ *256-ֵ
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	66; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	67; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(P6CON,0x00);				//P6Ϊ,1
	mov	a,@0x00
	iw	P6CON
;	.line	68; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	69; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	70; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(WDTCON,0x00);			//WDT ʹܿƼĴ
	mov	a,@0x00
	iw	WDTCON
;	.line	71; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IOCP_W(INTE,0x01);				//жʹܿƼĴ 
	mov	a,@0x01
	iw	INTE
;	.line	72; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	INTF = 0x0;						//TC0жϱ־λ 
	CLR	_INTF
;	.line	73; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_PWM__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	for(RSR=0xD0;RSR<0xFF;RSR++)	//RAM
	MOV	A,@0xd0
	MOV	_RSR,A
_00115_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00113_DS_
;	.line	56; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	{IAR = 0;}
	CLR	_IAR
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	for(RSR=0xD0;RSR<0xFF;RSR++)	//RAM
	INC	_RSR
	JMP	_00115_DS_
_00113_DS_:
;	.line	57; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	IAR = 0;
	CLR	_IAR
;	.line	58; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\1_XC8P9530_PWM\XC8P9530_PWM.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	   71+    0 =    71 instructions (  142 byte)

	end
