;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Sep 14 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_int_isr
	global	_file_clrRam
	global	_file_init
	global	_file_tc1_init
	global	_file_p6ic_init
	global	_file_ex_init
	global	_main
	global	_A_BUFF
	global	_R3_BUFF

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_INT_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_INT_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
UDL_XC8P9530_INT_0	udata
r0x1000	res	1
r0x1001	res	1
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr IARbits                   Allocated to registers ;size:1
;@int_isr TC0Cbits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr RSRbits                   Allocated to registers ;size:1
;@int_isr PORT6bits                 Allocated to registers ;size:1
;@int_isr CMPCON0bits               Allocated to registers ;size:1
;@int_isr TC1CONbits                Allocated to registers ;size:1
;@int_isr TC1PRDLbits               Allocated to registers ;size:1
;@int_isr PWMDTLbits                Allocated to registers ;size:1
;@int_isr TC1PRDTHbits              Allocated to registers ;size:1
;@int_isr P6AEbits                  Allocated to registers ;size:1
;@int_isr P6IWEbits                 Allocated to registers ;size:1
;@int_isr CPUCONbits                Allocated to registers ;size:1
;@int_isr INTFbits                  Allocated to registers ;size:1
;@int_isr A_BUFF                    Allocated to registers ;size:1
;@int_isr R3_BUFF                   Allocated to registers ;size:1
;@int_isr IAR                       Allocated to registers ;size:1
;@int_isr TC0C                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr RSR                       Allocated to registers ;size:1
;@int_isr PORT6                     Allocated to registers ;size:1
;@int_isr CMPCON0                   Allocated to registers ;size:1
;@int_isr TC1CON                    Allocated to registers ;size:1
;@int_isr TC1PRDL                   Allocated to registers ;size:1
;@int_isr PWMDTL                    Allocated to registers ;size:1
;@int_isr TC1PRDTH                  Allocated to registers ;size:1
;@int_isr P6AE                      Allocated to registers ;size:1
;@int_isr P6IWE                     Allocated to registers ;size:1
;@int_isr CPUCON                    Allocated to registers ;size:1
;@int_isr INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;2 compiler assigned registers:
;   r0x1000
;   r0x1001
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	27; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	28; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	30; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	if(TC0IF)						//жTC0IFǷΪ1
	JBTS	_INTFbits,0
	JMP	_00106_DS_
;	.line	32; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	TC0C	+= 6;				//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	ADD	_TC0C,A
;	.line	33; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	INTF	= 0xfe;				//TC0жϱ־λ
	MOV	A,@0xfe
	MOV	_INTF,A
;	.line	34; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PORT6_1 = !PORT6_1;			//P61ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,1
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;102	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,1
	JBTC	STATUS,0
	BTS	_PORT6bits,1
_00106_DS_:
;	.line	37; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	if(ICIF)
	JBTS	_INTFbits,1
	JMP	_00108_DS_
;	.line	39; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	INTF	= 0xfd;				//жϱ־λ
	MOV	A,@0xfd
	MOV	_INTF,A
;	.line	40; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PORT6_2 = !PORT6_2;			//P62ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,2
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;101	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,2
	JBTC	STATUS,0
	BTS	_PORT6bits,2
_00108_DS_:
;	.line	43; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	if(INTIF)
	JBTS	_INTFbits,2
	JMP	_00110_DS_
;	.line	45; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	INTF	= 0xfb;				//жϱ־λ
	MOV	A,@0xfb
	MOV	_INTF,A
;	.line	46; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PORT6_3 = !PORT6_3;			//P63ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,3
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;100	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,3
	JBTC	STATUS,0
	BTS	_PORT6bits,3
_00110_DS_:
;	.line	49; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	if(TC1IF)						//жTC1IFǷΪ1,pwmж
	JBTS	_INTFbits,3
	JMP	_00112_DS_
;	.line	51; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	INTF    = 0xf7;				//ISRbit3:T1IF
	MOV	A,@0xf7
	MOV	_INTF,A
;	.line	52; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PORT6_4 = !PORT6_4;			//P64ڷת
	CLR	r0x1000
	JBTC	_PORT6bits,4
	INC	r0x1000
	MOV	A,r0x1000
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1000,A
	MOV	r0x1001,A
;;99	MOV	A,r0x1001
	RCA	r0x1000
	JBTS	STATUS,0
	BTC	_PORT6bits,4
	JBTC	STATUS,0
	BTS	_PORT6bits,4
_00112_DS_:
;	.line	55; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	56; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_INT	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_tc1_init
;   _file_clrRam
;   _file_init
;   _file_tc1_init
;; Starting pCode block
S_XC8P9530_INT__main	code
_main:	;Function start
; 2 exit points
;	.line	115; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	file_clrRam();					//RAM
	CALL	_file_clrRam
;	.line	116; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	117; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	file_tc1_init();				//tc1ʼ
	CALL	_file_tc1_init
;	.line	120; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	EI();
	ei	
_00141_DS_:
;	.line	124; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	NOP();
	nop	
;	.line	125; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	NOP();
	nop	
;	.line	126; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	NOP();
	nop	
	JMP	_00141_DS_
;	.line	128; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_INT__file_ex_init	code
_file_ex_init:	;Function start
; 2 exit points
;	.line	107; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(WDTCON,0x01);			//bit0ⲿж½شʹ 1:ʹ
	mov	a,@0x01
	iw	WDTCON
;	.line	109; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _file_ex_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_INT__file_p6ic_init	code
_file_p6ic_init:	;Function start
; 2 exit points
;	.line	98; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	P6IWE = 0x20;
	MOV	A,@0x20
	MOV	_P6IWE,A
;	.line	100; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _file_p6ic_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_INT__file_tc1_init	code
_file_tc1_init:	;Function start
; 2 exit points
;	.line	87; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	TC1PRDL = 100;					//PWMڼĴ
	MOV	A,@0x64
	MOV	_TC1PRDL,A
;	.line	88; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	TC1PRDTH = 0;	
	CLR	_TC1PRDTH
;	.line	89; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	TC1CON = 0x88;					//ʹpwmpwm=1/8*2(Ƶ)*4clock*100=100us
	MOV	A,@0x88
	MOV	_TC1CON,A
;	.line	90; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(INTE,0x08);				//PWMж,Ҫ
	mov	a,@0x08
	iw	INTE
;	.line	91; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _file_tc1_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_INT__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	72; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	CONTW(0x82);					//TC0ʹ 8Ƶ
	mov	a,@0x82
	ctw
;	.line	73; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	TC0C = 6;						//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ *256-ֵ
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	74; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	75; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(P6CON,0x21);				//P6Ϊ,1
	mov	a,@0x21
	iw	P6CON
;	.line	76; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	77; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	78; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(WDTCON,0x01);			//WDT ʹܿƼĴ
	mov	a,@0x01
	iw	WDTCON
;	.line	79; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IOCP_W(INTE,0x0f);				//жʹܿƼĴ 
	mov	a,@0x0f
	iw	INTE
;	.line	80; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	INTF = 0x0;						//TC0жϱ־λ 
	CLR	_INTF
;	.line	81; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_INT__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	62; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	MOV	A,@0xd0
	MOV	_RSR,A
_00119_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00117_DS_
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	{IAR = 0;}
	CLR	_IAR
;	.line	62; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	INC	_RSR
	JMP	_00119_DS_
_00117_DS_:
;	.line	65; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	IAR = 0;
	CLR	_IAR
;	.line	66; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\2_XC8P9530_INT\XC8P9530_INT.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	  106+    0 =   106 instructions (  212 byte)

	end
