;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Sep 14 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_file_clrRam
	global	_file_init
	global	_file_project_init
	global	_file_tc0_wakeIDEL_set
	global	_file_tc0_exitIDEL_set
	global	_file_pwm_wakeIDEL_set
	global	_file_pwm_exitIDEL_set
	global	_file_IDLEWake_slep
	global	_main
	global	_A_BUFF
	global	_R3_BUFF
	global	_reg_sleep_cnt

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
UD_XC8P9530_IDLE_0	udata
_reg_sleep_cnt	res	1

;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_IDLE_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_IDLE_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'file_clrRam'
;@file_clrRam file_clrRam               Allocated to registers ;size:2
;@file_clrRam IARbits                   Allocated to registers ;size:1
;@file_clrRam TC0Cbits                  Allocated to registers ;size:1
;@file_clrRam PCLbits                   Allocated to registers ;size:1
;@file_clrRam STATUSbits                Allocated to registers ;size:1
;@file_clrRam RSRbits                   Allocated to registers ;size:1
;@file_clrRam PORT6bits                 Allocated to registers ;size:1
;@file_clrRam CMPCON0bits               Allocated to registers ;size:1
;@file_clrRam TC1CONbits                Allocated to registers ;size:1
;@file_clrRam TC1PRDLbits               Allocated to registers ;size:1
;@file_clrRam PWMDTLbits                Allocated to registers ;size:1
;@file_clrRam TC1PRDTHbits              Allocated to registers ;size:1
;@file_clrRam P6AEbits                  Allocated to registers ;size:1
;@file_clrRam P6IWEbits                 Allocated to registers ;size:1
;@file_clrRam CPUCONbits                Allocated to registers ;size:1
;@file_clrRam INTFbits                  Allocated to registers ;size:1
;@file_clrRam A_BUFF                    Allocated to registers ;size:1
;@file_clrRam R3_BUFF                   Allocated to registers ;size:1
;@file_clrRam reg_sleep_cnt             Allocated to registers ;size:1
;@file_clrRam IAR                       Allocated to registers ;size:1
;@file_clrRam TC0C                      Allocated to registers ;size:1
;@file_clrRam PCL                       Allocated to registers ;size:1
;@file_clrRam STATUS                    Allocated to registers ;size:1
;@file_clrRam RSR                       Allocated to registers ;size:1
;@file_clrRam PORT6                     Allocated to registers ;size:1
;@file_clrRam CMPCON0                   Allocated to registers ;size:1
;@file_clrRam TC1CON                    Allocated to registers ;size:1
;@file_clrRam TC1PRDL                   Allocated to registers ;size:1
;@file_clrRam PWMDTL                    Allocated to registers ;size:1
;@file_clrRam TC1PRDTH                  Allocated to registers ;size:1
;@file_clrRam P6AE                      Allocated to registers ;size:1
;@file_clrRam P6IWE                     Allocated to registers ;size:1
;@file_clrRam CPUCON                    Allocated to registers ;size:1
;@file_clrRam INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'file_clrRam';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_IDLE	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_project_init
;   _file_IDLEWake_slep
;   _file_clrRam
;   _file_init
;   _file_project_init
;   _file_IDLEWake_slep
;; Starting pCode block
S_XC8P9530_IDLE__main	code
_main:	;Function start
; 2 exit points
;	.line	162; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_clrRam();					//RAM
	CALL	_file_clrRam
;	.line	163; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	164; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_project_init();			//ʼ
	CALL	_file_project_init
;	.line	165; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	EI();							//ж
	ei	
_00143_DS_:
;	.line	168; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CWDT();
	CWDT	
;	.line	169; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_IDLEWake_slep();		//IDLEģʽ	
	CALL	_file_IDLEWake_slep
;	.line	170; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	171; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	172; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
	JMP	_00143_DS_
;	.line	174; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;functions called:
;   _file_pwm_wakeIDEL_set
;   _file_pwm_exitIDEL_set
;   _file_pwm_wakeIDEL_set
;   _file_pwm_exitIDEL_set
;; Starting pCode block
S_XC8P9530_IDLE__file_IDLEWake_slep	code
_file_IDLEWake_slep:	;Function start
; 2 exit points
;	.line	135; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	for(reg_sleep_cnt=0;reg_sleep_cnt<10;reg_sleep_cnt++)
	CLR	_reg_sleep_cnt
_00137_DS_:
;	.line	137; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	DI();
	di	
;	.line	138; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CWDT();
	CWDT	
;	.line	141; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_pwm_wakeIDEL_set();	//ģʽ,TC1/PWMIDEL
	CALL	_file_pwm_wakeIDEL_set
;	.line	143; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	SLEEP();
	sleep	
;	.line	144; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	145; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	148; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	file_pwm_exitIDEL_set();	//ģʽ,TC1/PWMIDEL
	CALL	_file_pwm_exitIDEL_set
;	.line	135; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	for(reg_sleep_cnt=0;reg_sleep_cnt<10;reg_sleep_cnt++)
	INC	_reg_sleep_cnt
	MOV	A,@0x0a
	SUB	A,_reg_sleep_cnt
	JBTS	STATUS,0
	JMP	_00137_DS_
;	.line	151; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	reg_sleep_cnt = 0;
	CLR	_reg_sleep_cnt
;	.line	152; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	io_led2Out = 1;	
	BTS	_PORT6bits,1
;	.line	153; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	154; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	155; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	io_led2Out = 0; 
	BTC	_PORT6bits,1
;	.line	156; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_IDLEWake_slep

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_pwm_exitIDEL_set	code
_file_pwm_exitIDEL_set:	;Function start
; 2 exit points
;	.line	123; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IDLE = 0;						//ϵͳִ SLEEP ָʱ˯ģʽ	
	BTC	_CPUCONbits,0
;	.line	124; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1CKS = 0;						//0:ѡָʱ
	BTC	_CPUCONbits,6
;	.line	125; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1WE = 0;						//0:PWM ѽֹ	
	BTC	_CPUCONbits,4
;	.line	126; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	STPHX = 0;						//0:ʱ
	BTC	_CPUCONbits,2
;	.line	127; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CLKMD = 0;						//0:ϵͳʱʹøIRCʱ 
	BTC	_CPUCONbits,1
;	.line	128; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_pwm_exitIDEL_set

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_pwm_wakeIDEL_set	code
_file_pwm_wakeIDEL_set:	;Function start
; 2 exit points
;	.line	110; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1PRDL = 255;
	MOV	A,@0xff
	MOV	_TC1PRDL,A
;	.line	111; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1CON = 0x88;					//pwm=255*2(Ƶ)*(1/RCʱ)					//PWMڼĴ
	MOV	A,@0x88
	MOV	_TC1CON,A
;	.line	112; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	113; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();		
	nop	
;	.line	115; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IDLE = 1;						//1:ϵͳִ SLEEP ָʱģʽϵͳʱ
	BTS	_CPUCONbits,0
;	.line	116; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1WE = 1;						//1:PWM ʹܣɻѿģʽ 
	BTS	_CPUCONbits,4
;	.line	117; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC1CKS = 1;						//1:ѡϵͳʱFosc
	BTS	_CPUCONbits,6
;	.line	118; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CLKMD = 1;						//1:ϵͳʱʹõ RC ʱ
	BTS	_CPUCONbits,1
;	.line	119; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	STPHX = 1;						//1:ֹͣʱ 
	BTS	_CPUCONbits,2
;	.line	120; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_pwm_wakeIDEL_set

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_tc0_exitIDEL_set	code
_file_tc0_exitIDEL_set:	;Function start
; 2 exit points
;	.line	97; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IDLE = 0;						//0:ϵͳִ SLEEP ָʱ˯ģʽ	
	BTC	_CPUCONbits,0
;	.line	98; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0CKS = 0;						//TCC ʱԴѡ,0:ѡָʱ
	BTC	_CPUCONbits,5
;	.line	99; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0WE = 0;						//0:TCC ѽֹ	
	BTC	_CPUCONbits,3
;	.line	100; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	STPHX = 0;						//0:ʱ
	BTC	_CPUCONbits,2
;	.line	101; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CLKMD = 0;						//0:ϵͳʱʹø IRC 
	BTC	_CPUCONbits,1
;	.line	102; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_tc0_exitIDEL_set

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_tc0_wakeIDEL_set	code
_file_tc0_wakeIDEL_set:	;Function start
; 2 exit points
;	.line	85; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CONTW(0x80);					//TC0ʹ 2Ƶ
	mov	a,@0x80
	ctw
;	.line	86; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	87; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	NOP();
	nop	
;	.line	88; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0C = 0;						//TC0ʱʱ=TC0*TC0Ƶ*(1/RCʱ)=256*2*(1/RCʱ)
	CLR	_TC0C
;	.line	89; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IDLE = 1;						//1:ϵͳִ SLEEP ָʱģʽϵͳʱ
	BTS	_CPUCONbits,0
;	.line	90; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0CKS = 1;						//TC0 ʱԴѡ,1:ѡϵͳʱ
	BTS	_CPUCONbits,5
;	.line	91; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0WE = 1;						//1:TC0ʹ,ɻѿģʽ
	BTS	_CPUCONbits,3
;	.line	92; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CLKMD = 1;						//1:ϵͳʱʹõ RC ʱ
	BTS	_CPUCONbits,1
;	.line	93; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	STPHX = 1;						//1:ֹͣʱӣ IRC  	
	BTS	_CPUCONbits,2
;	.line	94; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_tc0_wakeIDEL_set

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_project_init	code
_file_project_init:	;Function start
; 2 exit points
;	.line	77; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
;	.line	77; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_project_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	CONTW(0x82);					//TC0ʹ 8Ƶ
	mov	a,@0x82
	ctw
;	.line	65; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	TC0C = 6;						//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ *256-ֵ
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	66; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	67; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IOCP_W(P6CON,0x00);				//P6Ϊ,1
	mov	a,@0x00
	iw	P6CON
;	.line	68; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	69; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	70; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IOCP_W(WDTCON,0x00);			//WDT ʹܿƼĴ
	mov	a,@0x00
	iw	WDTCON
;	.line	71; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IOCP_W(INTE,0x00);				//жʹܿƼĴ 
	mov	a,@0x00
	iw	INTE
;	.line	72; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	INTF = 0x0;						//TC0жϱ־λ 
	CLR	_INTF
;	.line	73; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_IDLE__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	for(RSR=0xD0;RSR<0xFF;RSR++)	//
	MOV	A,@0xd0
	MOV	_RSR,A
_00107_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00105_DS_
;	.line	56; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	{IAR = 0;}
	CLR	_IAR
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	for(RSR=0xD0;RSR<0xFF;RSR++)	//
	INC	_RSR
	JMP	_00107_DS_
_00105_DS_:
;	.line	57; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	IAR = 0;
	CLR	_IAR
;	.line	58; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\4_XC8P9530_IDLE\XC8P9530_IDLE.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	   64+    0 =    64 instructions (  128 byte)

	end
