;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Sep 14 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_int_isr
	global	_file_clrRam
	global	_file_init
	global	_file_WDTTime
	global	_file_WDTWake_slep
	global	_main
	global	_A_BUFF
	global	_R3_BUFF
	global	_reg_sleep_cnt

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
UD_XC8P9530_WDT_0	udata
_reg_sleep_cnt	res	1

;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_WDT_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_WDT_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
UDL_XC8P9530_WDT_0	udata
r0x1001	res	1
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr IARbits                   Allocated to registers ;size:1
;@int_isr TC0Cbits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr RSRbits                   Allocated to registers ;size:1
;@int_isr PORT6bits                 Allocated to registers ;size:1
;@int_isr CMPCON0bits               Allocated to registers ;size:1
;@int_isr TC1CONbits                Allocated to registers ;size:1
;@int_isr TC1PRDLbits               Allocated to registers ;size:1
;@int_isr PWMDTLbits                Allocated to registers ;size:1
;@int_isr TC1PRDTHbits              Allocated to registers ;size:1
;@int_isr P6AEbits                  Allocated to registers ;size:1
;@int_isr P6IWEbits                 Allocated to registers ;size:1
;@int_isr CPUCONbits                Allocated to registers ;size:1
;@int_isr INTFbits                  Allocated to registers ;size:1
;@int_isr A_BUFF                    Allocated to registers ;size:1
;@int_isr R3_BUFF                   Allocated to registers ;size:1
;@int_isr reg_sleep_cnt             Allocated to registers ;size:1
;@int_isr IAR                       Allocated to registers ;size:1
;@int_isr TC0C                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr RSR                       Allocated to registers ;size:1
;@int_isr PORT6                     Allocated to registers ;size:1
;@int_isr CMPCON0                   Allocated to registers ;size:1
;@int_isr TC1CON                    Allocated to registers ;size:1
;@int_isr TC1PRDL                   Allocated to registers ;size:1
;@int_isr PWMDTL                    Allocated to registers ;size:1
;@int_isr TC1PRDTH                  Allocated to registers ;size:1
;@int_isr P6AE                      Allocated to registers ;size:1
;@int_isr P6IWE                     Allocated to registers ;size:1
;@int_isr CPUCON                    Allocated to registers ;size:1
;@int_isr INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;2 compiler assigned registers:
;   r0x1001
;   r0x1002
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	28; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	29; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	31; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	if(TC0IF)						//жTC0IFǷΪ1
	JBTS	_INTFbits,0
	JMP	_00106_DS_
;	.line	33; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	TC0C	+= 6;				//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	ADD	_TC0C,A
;	.line	34; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	INTF	= 0xfe;				//TC0жϱ־λ
	MOV	A,@0xfe
	MOV	_INTF,A
;	.line	35; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	PORT6_4 = !PORT6_4;			//P64ڷת
	CLR	r0x1001
	JBTC	_PORT6bits,4
	INC	r0x1001
	MOV	A,r0x1001
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1001,A
;;1	MOV	r0x1002,A
;;99	MOV	A,r0x1002
	RCA	r0x1001
	JBTS	STATUS,0
	BTC	_PORT6bits,4
	JBTC	STATUS,0
	BTS	_PORT6bits,4
_00106_DS_:
;	.line	37; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	INTF = 0x01;					//δõı־λ1Чֻ
	MOV	A,@0x01
	MOV	_INTF,A
;	.line	38; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	39; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_WDT	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_WDTTime
;   _file_WDTWake_slep
;   _file_clrRam
;   _file_init
;   _file_WDTTime
;   _file_WDTWake_slep
;; Starting pCode block
S_XC8P9530_WDT__main	code
_main:	;Function start
; 2 exit points
;	.line	106; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	if(T)
	JBTS	_STATUSbits,4
	JMP	_00134_DS_
;	.line	108; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	file_clrRam();				//ϵ縴λ֮WDTλ
	CALL	_file_clrRam
_00134_DS_:
;	.line	110; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	111; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	EI();							//ж
	ei	
_00136_DS_:
;	.line	115; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	file_WDTTime();				//WDTʱ
	CALL	_file_WDTTime
;	.line	116; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	file_WDTWake_slep();		//WDT˯
	CALL	_file_WDTWake_slep
;	.line	117; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	118; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	119; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
	JMP	_00136_DS_
;	.line	121; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_WDT__file_WDTWake_slep	code
_file_WDTWake_slep:	;Function start
; 2 exit points
;	.line	87; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(WDTCON,0x00);			//ƵTC0лҪȹWDT 
	mov	a,@0x00
	iw	WDTCON
;	.line	89; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(INTE,0x00);
	mov	a,@0x00
	iw	INTE
;	.line	90; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	INTF = 0;
	CLR	_INTF
;	.line	91; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	CWDT();
	CWDT	
;	.line	92; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	CONTW(0x09);					//ԤƵָwdt,2Ƶ 
	mov	a,@0x09
	ctw
;	.line	93; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(WDTCON,0x80);
	mov	a,@0x80
	iw	WDTCON
;	.line	94; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	DI();
	di	
;	.line	95; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	96; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	SLEEP();
	sleep	
;	.line	97; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	98; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	99; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
	RET	
; exit point of _file_WDTWake_slep

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_WDT__file_WDTTime	code
_file_WDTTime:	;Function start
; 2 exit points
;	.line	71; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	if(++reg_sleep_cnt>=10) // 
	INC	_reg_sleep_cnt
	MOV	A,@0x0a
	SUB	A,_reg_sleep_cnt
	JBTS	STATUS,0
	JMP	_00124_DS_
;	.line	73; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	reg_sleep_cnt=0;
	CLR	_reg_sleep_cnt
;	.line	74; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	io_led2Out =1;
	BTS	_PORT6bits,1
;	.line	75; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();
	nop	
;	.line	76; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	NOP();//delayUs(80);		
	nop	
;	.line	77; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	io_led2Out =0;
	BTC	_PORT6bits,1
;	.line	79; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
_00124_DS_:
	RET	
; exit point of _file_WDTTime

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_WDT__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	55; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	CONTW(0x82);					//TC0ʹ 8Ƶ
	mov	a,@0x82
	ctw
;	.line	56; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	TC0C = 6;						//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ *256-ֵ
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	57; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	58; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(P6CON,0x00);				//P6Ϊ,1
	mov	a,@0x00
	iw	P6CON
;	.line	59; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	60; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	61; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(WDTCON,0x00);			//WDT ʹܿƼĴ
	mov	a,@0x00
	iw	WDTCON
;	.line	62; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IOCP_W(INTE,0x01);				//жʹܿƼĴ 
	mov	a,@0x01
	iw	INTE
;	.line	63; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	INTF = 0x0;						//TC0жϱ־λ 
	CLR	_INTF
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_WDT__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	45; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	MOV	A,@0xd0
	MOV	_RSR,A
_00113_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00111_DS_
;	.line	47; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	{IAR = 0;}
	CLR	_IAR
;	.line	45; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	INC	_RSR
	JMP	_00113_DS_
_00111_DS_:
;	.line	48; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	IAR = 0;
	CLR	_IAR
;	.line	49; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\5_XC8P9530_WDT\XC8P9530_WDT.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	   57+    0 =    57 instructions (  114 byte)

	end
