;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Sep 14 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_delay
	global	_File_UART_TX
	global	_file_discharge
	global	__UART_h_l
	global	_int_isr
	global	_file_clrRam
	global	_file_init
	global	_file_CMPset1
	global	_main
	global	_A_BUFF
	global	_R3_BUFF
	global	_reg_CMP_H
	global	_reg_CMP_L
	global	_R_UART_TX_BUF
	global	_R_UART_TX_CNT
	global	_R_UART_TX_DELAY
	global	_flag_mode

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
UD_XC8P9530_RFC_0	udata
_reg_CMP_H	res	1

UD_XC8P9530_RFC_1	udata
_reg_CMP_L	res	1

UD_XC8P9530_RFC_2	udata
_R_UART_TX_BUF	res	1

UD_XC8P9530_RFC_3	udata
_R_UART_TX_CNT	res	1

UD_XC8P9530_RFC_4	udata
_R_UART_TX_DELAY	res	1

UD_XC8P9530_RFC_5	udata
_flag_mode	res	1

;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_RFC_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_RFC_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr File_UART_TX              Allocated to registers ;size:2
;@int_isr _UART_h_l                 Allocated to registers ;size:2
;@int_isr file_discharge            Allocated to registers ;size:2
;@int_isr delay                     Allocated to registers ;size:2
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr IARbits                   Allocated to registers ;size:1
;@int_isr TC0Cbits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr RSRbits                   Allocated to registers ;size:1
;@int_isr PORT6bits                 Allocated to registers ;size:1
;@int_isr CMPCON0bits               Allocated to registers ;size:1
;@int_isr TC1CONbits                Allocated to registers ;size:1
;@int_isr TC1PRDLbits               Allocated to registers ;size:1
;@int_isr PWMDTLbits                Allocated to registers ;size:1
;@int_isr TC1PRDTHbits              Allocated to registers ;size:1
;@int_isr P6AEbits                  Allocated to registers ;size:1
;@int_isr P6IWEbits                 Allocated to registers ;size:1
;@int_isr CPUCONbits                Allocated to registers ;size:1
;@int_isr INTFbits                  Allocated to registers ;size:1
;@int_isr A_BUFF                    Allocated to registers ;size:1
;@int_isr R3_BUFF                   Allocated to registers ;size:1
;@int_isr reg_CMP_H                 Allocated to registers ;size:1
;@int_isr reg_CMP_L                 Allocated to registers ;size:1
;@int_isr R_UART_TX_BUF             Allocated to registers ;size:1
;@int_isr R_UART_TX_CNT             Allocated to registers ;size:1
;@int_isr R_UART_TX_DELAY           Allocated to registers ;size:1
;@int_isr flag_mode                 Allocated to registers ;size:1
;@int_isr IAR                       Allocated to registers ;size:1
;@int_isr TC0C                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr RSR                       Allocated to registers ;size:1
;@int_isr PORT6                     Allocated to registers ;size:1
;@int_isr CMPCON0                   Allocated to registers ;size:1
;@int_isr TC1CON                    Allocated to registers ;size:1
;@int_isr TC1PRDL                   Allocated to registers ;size:1
;@int_isr PWMDTL                    Allocated to registers ;size:1
;@int_isr TC1PRDTH                  Allocated to registers ;size:1
;@int_isr P6AE                      Allocated to registers ;size:1
;@int_isr P6IWE                     Allocated to registers ;size:1
;@int_isr CPUCON                    Allocated to registers ;size:1
;@int_isr INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	30; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	31; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	34; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	if(CMPIF)						//жTC1IFǷΪ1,pwmж
	JBTS	_INTFbits,4
	JMP	_00108_DS_
;	.line	36; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	INTF    = 0x0f;				//bit4:CMPIF
	MOV	A,@0x0f
	MOV	_INTF,A
;	.line	37; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	if(CMPOUT == 0)				//Ƿֹͣ	
	JBTC	_CMPCON0bits,6
	JMP	_00108_DS_
;	.line	39; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_R(_reg_CMP_L,TPRE);
	ir	TPRE
	mov	_reg_CMP_L,a
;	.line	40; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	reg_CMP_H = TC0C;		//ȡֵ
	MOV	A,_TC0C
	MOV	_reg_CMP_H,A
;	.line	41; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	TC0C = 0;
	CLR	_TC0C
;	.line	42; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	bit_cmp = 1;
	BTS	_flag_mode,0
_00108_DS_:
;	.line	46; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	INTF = 0x11;					//δõı־λ1Чֻ
	MOV	A,@0x11
	MOV	_INTF,A
;	.line	47; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	48; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_RFC	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_CMPset1
;   __UART_h_l
;   _file_discharge
;   _file_clrRam
;   _file_init
;   _file_CMPset1
;   __UART_h_l
;   _file_discharge
;; Starting pCode block
S_XC8P9530_RFC__main	code
_main:	;Function start
; 2 exit points
;	.line	93; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	file_clrRam();					//RAM
	CALL	_file_clrRam
;	.line	94; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	95; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	file_CMPset1();					//Ƚʼ
	CALL	_file_CMPset1
;	.line	96; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	EI();							//ж
	ei	
_00131_DS_:
;	.line	99; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	CWDT();
	CWDT	
;	.line	100; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	io_P65 = 1;
	BTS	_PORT6bits,5
;	.line	101; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	if	(bit_cmp)
	JBTS	_flag_mode,0
	JMP	_00131_DS_
;	.line	103; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	bit_cmp = 0;
	BTC	_flag_mode,0
;	.line	104; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	_UART_h_l();			//ͼֵ
	CALL	__UART_h_l
;	.line	105; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	file_discharge();		//ŵ
	CALL	_file_discharge
	JMP	_00131_DS_
;	.line	108; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_RFC__delay	code
_delay:	;Function start
; 2 exit points
;	.line	209; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	__endasm;
	;
File_Delay_26us:
	mov	a,@12
	mov	_R_UART_TX_DELAY,a
	jmp	Delay_26us_1
Delay_26us_1:
	dj	_R_UART_TX_DELAY
	jmp	Delay_26us_1
	ret
;	.line	210; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _delay

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_RFC__File_UART_TX	code
_File_UART_TX:	;Function start
; 2 exit points
;	.line	191; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	__endasm;
	;
	di
	btc	P6CON,0
	mov	_R_UART_TX_BUF,a
	mov	a,@8
	mov	_R_UART_TX_CNT,a
Start:
	btc	PORT6,0
	nop
	jmp	$+1
	jmp	$+1
	call	File_Delay_26us
Uart_TxData:
	rcr	_R_UART_TX_BUF
	jbts	STATUS,0
	jmp	Send_0
Send_1:
	nop
	bts	PORT6,0
	jmp	Send_Dly
Send_0:
	btc	PORT6,0
	jmp	Send_Dly
Send_Dly:
	call	File_Delay_26us
	dj	_R_UART_TX_CNT
	jmp	Uart_TxData
Stop:
	bts	PORT6,0
	call	File_Delay_26us
	call	File_Delay_26us
	EI
	ret
	
;	.line	192; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _File_UART_TX

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;functions called:
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;   _delay
;; Starting pCode block
S_XC8P9530_RFC__file_discharge	code
_file_discharge:	;Function start
; 2 exit points
;	.line	129; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(P6CON,0x00);	
	mov	a,@0x00
	iw	P6CON
;	.line	130; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	PORT6_5 = 0;
	BTC	_PORT6bits,5
;	.line	131; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	PORT6_4 = 0;
	BTC	_PORT6bits,4
;	.line	132; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	133; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	134; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	135; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	136; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	137; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	138; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	139; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	140; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	141; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	142; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	143; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	delay();
	CALL	_delay
;	.line	144; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(P6CON,0x10);	
	mov	a,@0x10
	iw	P6CON
;	.line	145; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	TC0C = 0X00;
	CLR	_TC0C
;	.line	146; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _file_discharge

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;functions called:
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;   _File_UART_TX
;; Starting pCode block
S_XC8P9530_RFC___UART_h_l	code
__UART_h_l:	;Function start
; 2 exit points
;	.line	117; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	R_UART_TX_BUF = 0x22;
	MOV	A,@0x22
	MOV	_R_UART_TX_BUF,A
;	.line	118; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	File_UART_TX();
	CALL	_File_UART_TX
;	.line	119; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	R_UART_TX_BUF = reg_CMP_H;
	MOV	A,_reg_CMP_H
	MOV	_R_UART_TX_BUF,A
;	.line	120; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	File_UART_TX();
	CALL	_File_UART_TX
;	.line	121; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	R_UART_TX_BUF = reg_CMP_L;
	MOV	A,_reg_CMP_L
	MOV	_R_UART_TX_BUF,A
;	.line	122; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	File_UART_TX();
	CALL	_File_UART_TX
;	.line	123; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	R_UART_TX_BUF = 0xA5;
	MOV	A,@0xa5
	MOV	_R_UART_TX_BUF,A
;	.line	124; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	File_UART_TX();
	CALL	_File_UART_TX
;	.line	125; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of __UART_h_l

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_RFC__file_CMPset1	code
_file_CMPset1:	;Function start
; 2 exit points
;	.line	79; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	P6AE = 0x10;				//P64ģʹ
	MOV	A,@0x10
	MOV	_P6AE,A
;	.line	80; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	CMPCON0 = 0x80;				//p64vbg
	MOV	A,@0x80
	MOV	_CMPCON0,A
;	.line	81; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(CMPCON1,0x55);		//bit61ȽѹСڸѹ(ȡ)
	mov	a,@0x55
	iw	CMPCON1
;	.line	82; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(WDTCON,0x10);		//CMPſ
	mov	a,@0x10
	iw	WDTCON
;	.line	83; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(INTE,0x10);			//жʹܿƼĴ 
	mov	a,@0x10
	iw	INTE
;	.line	84; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	INTF = 0x00;				//TC0жϱ־λ 
	CLR	_INTF
;	.line	85; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	TC0C = 0X00;				
	CLR	_TC0C
;	.line	86; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _file_CMPset1

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_RFC__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	CONTW(0x87);					//TC0ʹ 
	mov	a,@0x87
	ctw
;	.line	65; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	66; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(P6CON,0x10);				//P6Ϊ,1
	mov	a,@0x10
	iw	P6CON
;	.line	67; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	68; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	70; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	71; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_RFC__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	MOV	A,@0xd0
	MOV	_RSR,A
_00115_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00113_DS_
;	.line	56; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	{IAR = 0;}
	CLR	_IAR
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	INC	_RSR
	JMP	_00115_DS_
_00113_DS_:
;	.line	57; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	IAR = 0;
	CLR	_IAR
;	.line	58; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO\XC8P9530_DEMO_C\8-XC8P9530_RFC\XC8P9530_RFC.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	   76+    0 =    76 instructions (  152 byte)

	end
