;--------------------------------------------------------
; File Created by SLCC : free open source ANSI-C Compiler
; Version 3.6.0 #Jul 10 2023 (MSVC)
;--------------------------------------------------------
; SL port for the RISC core
;--------------------------------------------------------
;	.file	"F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C"
	list	p=XC8P9530
	radix dec
	include "XC8P9530.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_IARbits
	extern	_TC0Cbits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_RSRbits
	extern	_PORT6bits
	extern	_CMPCON0bits
	extern	_TC1CONbits
	extern	_TC1PRDLbits
	extern	_PWMDTLbits
	extern	_TC1PRDTHbits
	extern	_P6AEbits
	extern	_P6IWEbits
	extern	_CPUCONbits
	extern	_INTFbits
	extern	_IAR
	extern	_TC0C
	extern	_PCL
	extern	_STATUS
	extern	_RSR
	extern	_PORT6
	extern	_CMPCON0
	extern	_TC1CON
	extern	_TC1PRDL
	extern	_PWMDTL
	extern	_TC1PRDTH
	extern	_P6AE
	extern	_P6IWE
	extern	_CPUCON
	extern	_INTF
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_int_isr
	global	_file_clrRam
	global	_file_init
	global	_file_scanKey
	global	_file_keyDeal
	global	_file_sleep
	global	_main
	global	_A_BUFF
	global	_R3_BUFF
	global	_reg_keyCont
	global	_reg_sleep_cnt
	global	_flag_mode

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0020
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
UD_XC8P9530_SLEEP_0	udata
_reg_keyCont	res	1

UD_XC8P9530_SLEEP_1	udata
_reg_sleep_cnt	res	1

UD_XC8P9530_SLEEP_2	udata
_flag_mode	res	1

;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
UD_abs_XC8P9530_SLEEP_10	udata_ovr	0x0010
_A_BUFF
	res	1
UD_abs_XC8P9530_SLEEP_11	udata_ovr	0x0011
_R3_BUFF
	res	1
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
UDL_XC8P9530_SLEEP_0	udata
r0x1003	res	1
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr IARbits                   Allocated to registers ;size:1
;@int_isr TC0Cbits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr RSRbits                   Allocated to registers ;size:1
;@int_isr PORT6bits                 Allocated to registers ;size:1
;@int_isr CMPCON0bits               Allocated to registers ;size:1
;@int_isr TC1CONbits                Allocated to registers ;size:1
;@int_isr TC1PRDLbits               Allocated to registers ;size:1
;@int_isr PWMDTLbits                Allocated to registers ;size:1
;@int_isr TC1PRDTHbits              Allocated to registers ;size:1
;@int_isr P6AEbits                  Allocated to registers ;size:1
;@int_isr P6IWEbits                 Allocated to registers ;size:1
;@int_isr CPUCONbits                Allocated to registers ;size:1
;@int_isr INTFbits                  Allocated to registers ;size:1
;@int_isr A_BUFF                    Allocated to registers ;size:1
;@int_isr R3_BUFF                   Allocated to registers ;size:1
;@int_isr reg_keyCont               Allocated to registers ;size:1
;@int_isr reg_sleep_cnt             Allocated to registers ;size:1
;@int_isr flag_mode                 Allocated to registers ;size:1
;@int_isr IAR                       Allocated to registers ;size:1
;@int_isr TC0C                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr RSR                       Allocated to registers ;size:1
;@int_isr PORT6                     Allocated to registers ;size:1
;@int_isr CMPCON0                   Allocated to registers ;size:1
;@int_isr TC1CON                    Allocated to registers ;size:1
;@int_isr TC1PRDL                   Allocated to registers ;size:1
;@int_isr PWMDTL                    Allocated to registers ;size:1
;@int_isr TC1PRDTH                  Allocated to registers ;size:1
;@int_isr P6AE                      Allocated to registers ;size:1
;@int_isr P6IWE                     Allocated to registers ;size:1
;@int_isr CPUCON                    Allocated to registers ;size:1
;@int_isr INTF                      Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	jmp	_main
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0003
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;2 compiler assigned registers:
;   r0x1003
;   r0x1004
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	34; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	__asm__("org 0x08");			//жڵַ			
	org	0x08
;	.line	35; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	PUSH(_A_BUFF,_R3_BUFF);			//жջ
	mov	_A_BUFF,a
	swap	_A_BUFF
	swapa	STATUS
	mov	_R3_BUFF,a
;	.line	37; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(TC0IF)						//жTC0IFǷΪ1
	JBTS	_INTFbits,0
	JMP	_00106_DS_
;	.line	39; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	TC0C	+= 6;				//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ * 256-ֵ
	MOV	A,@0x06
	ADD	_TC0C,A
;	.line	40; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	INTF	= 0xfe;				//TC0жϱ־λ
	MOV	A,@0xfe
	MOV	_INTF,A
;	.line	41; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	PORT6_4 = !PORT6_4;			//P64ڷת
	CLR	r0x1003
	JBTC	_PORT6bits,4
	INC	r0x1003
	MOV	A,r0x1003
	MOV	A,@0x00
	JBTC	STATUS,2
	MOV	A,@0x01
	MOV	r0x1003,A
;;1	MOV	r0x1004,A
;;99	MOV	A,r0x1004
	RCA	r0x1003
	JBTS	STATUS,0
	BTC	_PORT6bits,4
	JBTC	STATUS,0
	BTS	_PORT6bits,4
_00106_DS_:
;	.line	43; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	INTF = 0x01;					//岻õı־λֻ㣬1
	MOV	A,@0x01
	MOV	_INTF,A
;	.line	44; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	POP(_A_BUFF,_R3_BUFF);			//жϳջָ
	swapa	_R3_BUFF
	mov	STATUS,a
	swapa	_A_BUFF
;	.line	45; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
END_OF_INTERRUPT:
	RETI	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_XC8P9530_SLEEP	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _file_clrRam
;   _file_init
;   _file_scanKey
;   _file_keyDeal
;   _file_sleep
;   _file_clrRam
;   _file_init
;   _file_scanKey
;   _file_keyDeal
;   _file_sleep
;; Starting pCode block
S_XC8P9530_SLEEP__main	code
_main:	;Function start
; 2 exit points
;	.line	158; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	file_clrRam();					//RAM
	CALL	_file_clrRam
;	.line	159; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	file_init();					//ioĴʼ
	CALL	_file_init
;	.line	160; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	EI();							//ж
	ei	
_00162_DS_:
;	.line	163; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	file_scanKey();
	CALL	_file_scanKey
;	.line	164; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	file_keyDeal();
	CALL	_file_keyDeal
;	.line	165; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	file_sleep();
	CALL	_file_sleep
;	.line	166; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
;	.line	167; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
;	.line	168; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
	JMP	_00162_DS_
;	.line	170; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
	RET	
; exit point of _main

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_SLEEP__file_sleep	code
_file_sleep:	;Function start
; 2 exit points
;	.line	122; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if((io_key)&&(!bit_keyPress))
	JBTS	_PORT6bits,3
	JMP	_00153_DS_
	JBTC	_flag_mode,1
	JMP	_00153_DS_
;	.line	124; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	reg_sleep_cnt++;
	INC	_reg_sleep_cnt
;	.line	125; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(reg_sleep_cnt >= 100) 
	MOV	A,@0x64
	SUB	A,_reg_sleep_cnt
	JBTS	STATUS,0
	JMP	_00156_DS_
;	.line	127; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	reg_sleep_cnt = 0;
	CLR	_reg_sleep_cnt
;	.line	128; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	P6IWE = 0x08;		//P63˿ڶ
	MOV	A,@0x08
	MOV	_P6IWE,A
;	.line	129; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	PORT6 = 0;
	CLR	_PORT6
;	.line	130; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	TC0C = 0;
	CLR	_TC0C
;	.line	131; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(WDTCON,0x00);	
	mov	a,@0x00
	iw	WDTCON
;	.line	132; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	INTF = 0;
	CLR	_INTF
;	.line	133; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	DI();				//ֹѽж
	di	
;	.line	134; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	SLEEP();
	sleep	
;	.line	135; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP(); 
	nop	
;	.line	136; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
;	.line	137; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
;	.line	138; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	NOP();
	nop	
;	.line	139; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	CWDT();
	CWDT	
;	.line	141; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	CONTW(0x82);
	mov	a,@0x82
	ctw
;	.line	142; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(INTE,0x01);
	mov	a,@0x01
	iw	INTE
;	.line	143; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	TC0C = data_tc0;
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	144; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	INTF = 0;
	CLR	_INTF
;	.line	145; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	EI();
	ei	
	JMP	_00156_DS_
_00153_DS_:
;	.line	150; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	reg_sleep_cnt=0;
	CLR	_reg_sleep_cnt
;	.line	152; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
_00156_DS_:
	RET	
; exit point of _file_sleep

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_SLEEP__file_keyDeal	code
_file_keyDeal:	;Function start
; 2 exit points
;	.line	94; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(bit_keyPress)
	JBTS	_flag_mode,1
	JMP	_00143_DS_
;	.line	96; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(!bit_keyPress_deal) //δ
	JBTC	_flag_mode,2
	JMP	_00145_DS_
;	.line	98; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_keyPress_deal=1;
	BTS	_flag_mode,2
;	.line	99; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(bit_modeOpen)
	JBTS	_flag_mode,0
	JMP	_00138_DS_
;	.line	101; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_modeOpen=0;
	BTC	_flag_mode,0
;	.line	102; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	io_led2Out=0;
	BTC	_PORT6bits,2
	JMP	_00145_DS_
_00138_DS_:
;	.line	106; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_modeOpen=1;
	BTS	_flag_mode,0
;	.line	107; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	io_led2Out=1;			
	BTS	_PORT6bits,2
	JMP	_00145_DS_
_00143_DS_:
;	.line	113; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_keyPress_deal=0;
	BTC	_flag_mode,2
;	.line	116; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
_00145_DS_:
	RET	
; exit point of _file_keyDeal

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_SLEEP__file_scanKey	code
_file_scanKey:	;Function start
; 2 exit points
;	.line	74; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(((io_key)&&(!bit_keyPress))||((!io_key)&&(bit_keyPress)))
	JBTS	_PORT6bits,3
	JMP	_00126_DS_
	JBTS	_flag_mode,1
	JMP	_00122_DS_
_00126_DS_:
	JBTC	_PORT6bits,3
	JMP	_00123_DS_
	JBTS	_flag_mode,1
	JMP	_00123_DS_
_00122_DS_:
;	.line	76; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	reg_keyCont=0;
	CLR	_reg_keyCont
_00123_DS_:
;	.line	78; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(++reg_keyCont>=10)
	INC	_reg_keyCont
	MOV	A,@0x0a
	SUB	A,_reg_keyCont
	JBTS	STATUS,0
	JMP	_00132_DS_
;	.line	80; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	reg_keyCont=0;			//;˲
	CLR	_reg_keyCont
;	.line	81; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	if(io_key==0)
	JBTC	_PORT6bits,3
	JMP	_00128_DS_
;	.line	83; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_keyPress=1;		//;ð±־λ
	BTS	_flag_mode,1
	JMP	_00132_DS_
_00128_DS_:
;	.line	86; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	bit_keyPress=0;		//;尴±־λ	    
	BTC	_flag_mode,1
;	.line	88; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
_00132_DS_:
	RET	
; exit point of _file_scanKey

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_SLEEP__file_init	code
_file_init:	;Function start
; 2 exit points
;	.line	61; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	CONTW(0x82);					//TC0ʹ 8Ƶ
	mov	a,@0x82
	ctw
;	.line	62; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	TC0C = 6;						//1/2 * 8 * (256-6) = 1000us	ʽ1/IRCƵ * ԤƵ *256-ֵ
	MOV	A,@0x06
	MOV	_TC0C,A
;	.line	63; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	PORT6 = 0;						//P6
	CLR	_PORT6
;	.line	64; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(P6CON,0x08);				//P6Ϊ,1
	mov	a,@0x08
	iw	P6CON
;	.line	65; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(P6PH,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PH
;	.line	66; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(P6PD,0xff);				//bit5-bit0ӦP65-P60˿,1ֹ
	mov	a,@0xff
	iw	P6PD
;	.line	67; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(WDTCON,0x00);			//WDT ʹܿƼĴ
	mov	a,@0x00
	iw	WDTCON
;	.line	68; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IOCP_W(INTE,0x01);				//жʹܿƼĴ 
	mov	a,@0x01
	iw	INTE
;	.line	69; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	INTF = 0x0;						//TC0жϱ־λ 
	CLR	_INTF
;	.line	70; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
	RET	
; exit point of _file_init

;***
;  pBlock Stats: dbName = C
;***
;has an exit
;; Starting pCode block
S_XC8P9530_SLEEP__file_clrRam	code
_file_clrRam:	;Function start
; 2 exit points
;	.line	51; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	MOV	A,@0xd0
	MOV	_RSR,A
_00113_DS_:
	MOV	A,@0xff
	SUB	A,_RSR
	JBTC	STATUS,0
	JMP	_00111_DS_
;	.line	53; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	{IAR = 0;}
	CLR	_IAR
;	.line	51; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	for(RSR=0xD0;RSR<0xFF;RSR++)	// BANK0 RAM  IAR-R0,RSR-R4
	INC	_RSR
	JMP	_00113_DS_
_00111_DS_:
;	.line	54; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	IAR = 0;
	CLR	_IAR
;	.line	55; F:\3\3DEMOд\9530_DEMO\XC8P9530_DEMO_C\3_XC8P9530_SLEEP\XC8P9530_SLEEP.C	}
	RET	
; exit point of _file_clrRam


;	code size estimation:
;	  102+    0 =   102 instructions (  204 byte)

	end
